Bug 893004 - 3.2 - add getHostHwInfo API to VDSM
3.2 - add getHostHwInfo API to VDSM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Yaniv Bronhaim
: Regression
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2013-01-08 07:48 EST by vvyazmin@redhat.com
Modified: 2016-02-10 14:15 EST (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
## Logs rhevm (821.33 KB, application/octet-stream)
2013-01-08 07:48 EST, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-01-08 07:48:12 EST
Created attachment 674780 [details]
## Logs rhevm

Description of problem:
Get exception in execution method "getVdsHardwareInfo” during Activate a host

Version-Release number of selected component (if applicable):
RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:

Steps to Reproduce:
1. Enter host to Maintenance 
2. Activate a host
Actual results:
Get error

Expected results:
No error should be found

Additional info:

2013-01-08 14:49:41,828 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand] (pool-3-thread-45) [37f489da] XML RPC error in command GetHardwareInfoVDS ( HostName =
 green-vdsa.qa.lab.tlv.redhat.com ), the error was: java.util.concurrent.ExecutionException: java.lang.reflect.InvocationTargetException, <type 'exceptions.Exception'>:method "getVdsHardwareInfo" is not supported 

Comment 4 vvyazmin@redhat.com 2013-01-24 07:11:41 EST
No issues are found

Verified on RHEVM 3.2 - SF04 environment:

RHEVM: rhevm-3.2.0-5.el6ev.noarch
VDSM: vdsm-4.10.2-4.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-16.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 6 Itamar Heim 2013-06-11 04:26:32 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:26:33 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.